Ruby: rb_transcoding Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Structures | Data Fields
rb_transcoding Struct Reference

## Data Structures
union | rb_transcoding_state_t

## Data Fields
const rb_transcoder * | transcoder
int | flags
int | resume_position
unsigned int | next_table
VALUE | next_info
unsigned char | next_byte
unsigned int | output_index
ssize_t | recognized_len
ssize_t | readagain_len
union { |
unsigned char ary [8] |
unsigned char * ptr |
} | readbuf |
ssize_t | writebuf_off
ssize_t | writebuf_len
union { |
unsigned char ary [8] |
unsigned char * ptr |
} | writebuf |
union rb_transcoding::rb_transcoding_state_t | state

## Detailed Description

Definition at line 72 of file transcode.c.

## Field Documentation

## ◆ ary

unsigned char rb_transcoding::ary[8]

Definition at line 86 of file transcode.c.

## ◆ flags

int rb_transcoding::flags

Definition at line 75 of file transcode.c.

## ◆ next_byte

unsigned char rb_transcoding::next_byte

Definition at line 80 of file transcode.c.

## ◆ next_info

VALUE rb_transcoding::next_info

Definition at line 79 of file transcode.c.

## ◆ next_table

unsigned int rb_transcoding::next_table

Definition at line 78 of file transcode.c.

## ◆ output_index

unsigned int rb_transcoding::output_index

Definition at line 81 of file transcode.c.

## ◆ ptr

unsigned char* rb_transcoding::ptr

Definition at line 87 of file transcode.c.

## ◆ readagain_len

ssize_t rb_transcoding::readagain_len

Definition at line 84 of file transcode.c.

## ◆ recognized_len

ssize_t rb_transcoding::recognized_len

Definition at line 83 of file transcode.c.

## ◆ resume_position

int rb_transcoding::resume_position

Definition at line 77 of file transcode.c.

## ◆ transcoder

const rb_transcoder* rb_transcoding::transcoder

Definition at line 73 of file transcode.c.

## ◆ writebuf_len

ssize_t rb_transcoding::writebuf_len

Definition at line 91 of file transcode.c.

## ◆ writebuf_off

ssize_t rb_transcoding::writebuf_off

Definition at line 90 of file transcode.c.

The documentation for this struct was generated from the following file:

- transcode.c